# Generated by rust2rpm
%bcond_without check

%global crate ffsend

Name:           rust-%{crate}
Version:        0.2.46
Release:        1%{?dist}
Summary:        Easily and securely share files from the command line

# Upstream license specification: GPL-3.0
License:        GPLv3
URL:            https://crates.io/crates/ffsend
Source:         %{crates_source}
# Initial patched metadata
# * Only linux dependencies
Patch0:         ffsend-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(chbs/default) >= 0.0.8 with crate(chbs/default) < 0.0.9)
BuildRequires:  (crate(chrono/default) >= 0.4.0 with crate(chrono/default) < 0.5.0)
BuildRequires:  (crate(clap/default) >= 2.33.0 with crate(clap/default) < 3.0.0)
BuildRequires:  (crate(colored/default) >= 1.7.0 with crate(colored/default) < 2.0.0)
BuildRequires:  (crate(derive_builder/default) >= 0.7.0 with crate(derive_builder/default) < 0.8.0)
BuildRequires:  (crate(directories/default) >= 1.0.0 with crate(directories/default) < 2.0.0)
BuildRequires:  (crate(failure/default) >= 0.1.0 with crate(failure/default) < 0.2.0)
BuildRequires:  (crate(ffsend-api) >= 0.3.2 with crate(ffsend-api) < 0.4.0)
BuildRequires:  (crate(ffsend-api/send2) >= 0.3.2 with crate(ffsend-api/send2) < 0.4.0)
BuildRequires:  (crate(ffsend-api/send3) >= 0.3.2 with crate(ffsend-api/send3) < 0.4.0)
BuildRequires:  (crate(fs2/default) >= 0.4.0 with crate(fs2/default) < 0.5.0)
BuildRequires:  (crate(lazy_static/default) >= 1.0.0 with crate(lazy_static/default) < 2.0.0)
BuildRequires:  (crate(open/default) >= 1.0.0 with crate(open/default) < 2.0.0)
BuildRequires:  (crate(openssl-probe/default) >= 0.1.0 with crate(openssl-probe/default) < 0.2.0)
BuildRequires:  (crate(pbr/default) >= 1.0.0 with crate(pbr/default) < 2.0.0)
BuildRequires:  (crate(prettytable-rs/default) >= 0.8.0 with crate(prettytable-rs/default) < 0.9.0)
BuildRequires:  (crate(qr2term/default) >= 0.1.0 with crate(qr2term/default) < 0.2.0)
BuildRequires:  (crate(rpassword/default) >= 3.0.0 with crate(rpassword/default) < 4.0.0)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
BuildRequires:  (crate(serde_derive/default) >= 1.0.0 with crate(serde_derive/default) < 2.0.0)
BuildRequires:  (crate(tar/default) >= 0.4.0 with crate(tar/default) < 0.5.0)
BuildRequires:  (crate(tempfile/default) >= 3.0.0 with crate(tempfile/default) < 4.0.0)
BuildRequires:  (crate(toml/default) >= 0.5.0 with crate(toml/default) < 0.6.0)
BuildRequires:  (crate(urlshortener) >= 0.10.0 with crate(urlshortener) < 0.11.0)
BuildRequires:  (crate(version-compare/default) >= 0.0.8 with crate(version-compare/default) < 0.0.9)
BuildRequires:  (crate(which/default) >= 2.0.0 with crate(which/default) < 3.0.0)

%global _description \
Easily and securely share files from the command line.\
A fully featured Firefox Send client.

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
Recommends:     xsel

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc README.md
%{_bindir}/ffsend
%{_bindir}/ffput
%{_bindir}/ffget
%{_bindir}/ffdel

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install
for t in ffput ffget ffdel; do
  ln -s %{_bindir}/ffget %{buildroot}%{_bindir}/$t
done

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat May 04 21:34:29 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.46-1
- Update to 0.2.46

* Fri Apr 19 08:17:44 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.45-1
- Update to 0.2.45

* Sat Apr 06 11:08:58 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.44-1
- Update to 0.2.44

* Tue Apr 02 2019 Josh Stone <jistone@redhat.com> - 0.2.43-1
- Update to 0.2.43

* Wed Mar 27 10:57:05 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.42-1
- Update to 0.2.42

* Sat Mar 23 20:08:56 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.39-1
- Update to 0.2.39

* Wed Mar 20 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.38-2
- Drop unneeded BuildRequires

* Wed Mar 20 2019 Josh Stone <jistone@redhat.com> - 0.2.38-1
- Update to 0.2.38

* Tue Mar 19 21:58:14 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.37-1
- Update to 0.2.37

* Sun Mar 17 22:33:08 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.36-1
- Update to 0.2.36

* Sat Mar 16 18:08:50 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.34-1
- Update to 0.2.34

* Fri Mar 15 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.33-1
- Update to 0.2.33

* Thu Mar 14 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.30-1
- Initial package
